VMware Player 2.5.2 в Debian Lenny с Linux kernel 2.6.29

После того как я обновил ядро до версии 2.6.29, VMware Player 2.5.2 было необходимо перекомпилировать модули для обновлённого ядра. К моему сожалению, модули не скомпилировались, процесс завершался ошибкой.

На сайте VMware были сообщения от других людей с подобной проблемой и там же было найдено решение. В каталог /usr/lib/vmware/modules/source/ необходимо скачать два файла:

wget http://communities.vmware.com/servlet/JiveServlet/download/1217533-21068/vmware-6.5.2-modules-2.6.29-fix.sh
wget http://communities.vmware.com/servlet/JiveServlet/download/1217533-21068/vmware-6.5.2-modules-2.6.29-fix.patch

Это патч для исходников. Запускаем vmware-6.5.2-modules-2.6.29-fix.sh и он проделает все необходимые изменения. Теперь запускаем VMware Player — и модули будут успешно скомпилированы

Добавить комментарий

Ваш e-mail не будет опубликован. Обязательные поля помечены *